# Uses of Enum Class org.bukkit.block.data.type.TechnicalPiston.Type (Scissors-API 1.19.3-R0.1-SNAPSHOT API)
use: package: org.bukkit.block.data.type, interface: TechnicalPiston, enum: Type

# Uses of Enum Class
org.bukkit.block.data.type.TechnicalPiston.Type

Packages that use TechnicalPiston.Type
Package
Description
org.bukkit.block.data.type
Specific BlockData classes relevant to only a given block or set of blocks.

## Uses of TechnicalPiston.Type in org.bukkit.block.data.type

Methods in org.bukkit.block.data.type that return TechnicalPiston.Type
Modifier and Type
Method
Description
`@NotNull TechnicalPiston.Type`
TechnicalPiston.`getType()`
Gets the value of the 'type' property.
`static TechnicalPiston.Type`
TechnicalPiston.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TechnicalPiston.Type[]`
TechnicalPiston.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.block.data.type with parameters of type TechnicalPiston.Type
Modifier and Type
Method
Description
`void`
TechnicalPiston.`setType(@NotNull TechnicalPiston.Type type)`
Sets the value of the 'type' property.